## org.biojava.bio.search
Interface FilterTest

All Known Implementing Classes:
  FilterTest.Equals, FilterTest.GreaterThan, FilterTest.LessThan

    public interface FilterTest

Class for implementing tests with BlastLikeSearchFilter objects. Several precanned tests are included.

Author:
  David Huen

Nested Class Summary
`static class` `FilterTest.Equals` Tests that the value associated with the specified key is equal to the value supplied here by whatever criterion of equality appropriate to those objects.
`static class` `FilterTest.FindRegex` Tests that the value associated with the specified key contains a part matched by the supplied regex.
`static class` `FilterTest.GreaterThan` Tests that the value associated with the specified key is greater than the specified threshold.
`static class` `FilterTest.LessThan` Tests that the value associated with the specified key is less than the specified threshold.
`static class` `FilterTest.MatchRegex` Tests that the value associated with the specified key is matched in its entirety by the supplied regex.

Method Summary
`boolean` `accept(Object value)`

Method Detail

### accept

    boolean accept(Object value)

  Returns:
    returns true if test is successful.